Page MenuHomePhabricator

The print mode of page is not shown as RTL on RTL wikis.
Closed, ResolvedPublic

Description

Author: assafkat

Description:
The print mode of page is shown as LTR, not as RTL


Version: 1.5.x
Severity: major
URL: http://he.wikipedia.org/

Details

Reference
bz2773

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 8:39 PM
bzimport added a project: MediaWiki-Parser.
bzimport set Reference to bz2773.
bzimport created this task.Jul 9 2005, 3:57 PM

rotemliss wrote:

It is impossible the page is LTR - firstly, the attribute "dir=rtl" is wrote in
the tag HTML, secondly, the attribute "direction: rtl;" is wrote in "rtl.css"
and in the dynamically-created CSS file "monobook.css", thirdly, Mozilla's DOM
Inspector says the "direction" is "rtl" in the HTML tag, fourthly, the text is
shown with "text-align: left", but with "direction: rtl", and finally, the whole
page is shown from the Right to Left.

However, I've checked the element "p" in one of the cells shown from the left,
and saw it is "text-align: left".

Shortly, the setting "text-align: left;" for #content in "commonPrint.css".
Please note there is NO setting like that in the regular style (which does not
set "text-align" at all), and that removing this setting fixes the problem AND
does not create any problem in the LTR pages.

I will try to create a patch shortly.

rotemliss wrote:

Patch

Please note I've just copied the file from the Hebrew Wikipedia and removed the
line, and don't know whether I've created the patch correctly or the file is
corrupted. I also don't know whether the file is up-to-date.

attachment commonPrint.css ignored as obsolete

assafkat wrote:

I don't know what the problem but the print page like
http://he.wikipedia.org/w/index.php?title=%D7%97%D7%91%D7%A8%D7%99%D7%9D&printable=yes
is shown with left alignment instead of right one.

rotemliss wrote:

(In reply to comment #3)

I don't know what the problem but the print page like

http://he.wikipedia.org/w/index.php?title=%D7%97%D7%91%D7%A8%D7%99%D7%9D&printable=yes

is shown with left alignment instead of right one.

This patch would fix it.

zigger wrote:

(Please add wikibugs-l@wikipedia.org to the CC list when assigning a bug.)

rotemliss wrote:

A non-corrupted patch (?)

I'm trying to create a patch, although I don't fully understand the headers.

Attached:

rotemliss wrote:

Well, what about checking in the patch? I've tried to get one the E-mail address
of the developers, but I failed. Where can I get it?

rotemliss wrote:

(In reply to comment #8)

The bug wasn't fixed. The page like

http://he.wikipedia.org/w/index.php?title=%D7%9E%D7%95%D7%97%D7%9E%D7%93_%D7%90-%D7%93%D7%95%D7%A8%D7%94&printable=yes

is alredy at LTR

I know. The patch which fixes it is yet not checked into the system.

robchur wrote:

The patch will be applied and the changes committed to CVS when:

  1. A developer has time to review the patch
  2. That developer determines that the patch works, and doesn't break anything else
  3. The developer commits the patch

You won't notice the changes on Wikimedia's wikis until the MediaWiki software
is synchronised; again, another developer has to do this, and be confident that
nothing has been introduced to the CVS tree which could cause problems for the
project.

Patience is a virtue.

brion added a comment.Oct 15 2005, 7:15 PM

The "patch" seems to be an entire copy of commonPrint.css, from
some old version which removes a bunch of stuff that's in there
now. Quickly skimming a diff I don't see anything relevant to RTL.

brion added a comment.Oct 15 2005, 7:15 PM

Removing patch keywords since there is no patch.

rotemliss wrote:

(In reply to comment #11)

The "patch" seems to be an entire copy of commonPrint.css, from
some old version which removes a bunch of stuff that's in there
now. Quickly skimming a diff I don't see anything relevant to RTL.

Well, it is a very simple change: removing the line "text-align: left". That's
the change should be done. And I don't know where is the CVS, so I cannot update
the patch to change the CVS version (or something like that), but the only
change is removing this line. (By the way, the problem is not LTR but the align
to the left: you can see it in the linked page.)

brion added a comment.Oct 16 2005, 8:54 PM

Ahh, now I see. Thanks!

Fix applied on CVS HEAD and REL1_5.
You may need to force-reload style sheets to see the fix in place.

Restricted Application added a project: I18n. · View Herald TranscriptJun 2 2015, 2:21 PM